Subject: Re: Has anyone looked at Gettext support for Git itself?

From: Thomas Rast <[email-masked]>
Date: Mon, 17 May 2010 16:32:47 +0200

Ævar Arnfjörð Bjarmason wrote:
> On Sun, May 16, 2010 at 16:08, Jan Hudec <[email-masked]> wrote:
> > It would definitely not be fine to break *git*. You need to make sure no
> > part of git itself or anything distributed with it (gitk, git gui, gitweb,
> > things in contrib) is looking for any string that might be broken by
> > translating.
> 
> Of course internal breakage, i.e. git-foo parsing the output from
> git-bar breaking under non-English is unacceptable. I meant that
> external tools now running under some non-English locale may start
> breaking if they're parsing the output and assuming English. The
> remedy for that is easy though, just prefix the calls to git with
> LC_ALL=C.

And how exactly do you expect us to go back in history and prefix all
invocations of git in all scripts with LC_ALL=C?

Porcelain such as git-status could be changed, but then there's not
that much of it anyway.  IMHO a set of standard documentation in each
language would be more useful.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch